> ## Documentation Index
> Fetch the complete documentation index at: https://stelis.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve



## OpenAPI

````yaml POST /retrieve
openapi: 3.0.1
info:
  title: Stelis API
  description: API for Stelis's browser automation and information retrieval services
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.stelis.app/v1
security:
  - bearerAuth: []
paths:
  /retrieve:
    post:
      tags:
        - Autonomous API
      summary: Retrieve specific information from a web page
      operationId: retrieveInfo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetrieveRequest'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetrieveResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    RetrieveRequest:
      type: object
      required:
        - url
        - query
      properties:
        url:
          type: string
          description: URL of the page to retrieve information from
        query:
          type: string
          description: Natural language query about the page content
        selector:
          type: string
          description: CSS selector to focus on specific page elements
    RetrieveResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        result:
          type: string
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    TooManyRequests:
      description: Too many requests
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````